Priority: Normal   

Category:    
Numbers:

http://km-aev.in.audi.vwg/redmine/issues
Department: CC-DA/ESI Affected Products: ADTF 3.0.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

Beim Start (Doppelklick im Windows-Explorer) der Programme adtf_configuration_editor.exe oder adtf_guicontrol.exe erscheint eine

Fehlermeldung, dass die Qt5Qml.dll fehlt.

Über das im bin-Verzeichnis enthaltene qt.conf werden die offensichtlich nicht korrekt gefunden.

Durch Hinzufügen des Verzeichnisses 3rdparty\qt570 in die Umgebungsvariable PATH konnte das Problem umgangen werden.
Lösung

Das ist ein Qt Issue, deshalb liefern wir für die betroffenen Tools eine batch/shell Skript, dass dies erledigt.

Im Startmenu unter Windows sind deshalb auch die entsprechenden Batch gleich hinterlegt.

Siehe auch Doku Seite Tools and Applications.

Für die weiteren Feedback Punkte und Verbesserungsvorsschläge wurde ein Produktticket eröffnet.

History

#1 - 2017-03-10 10:48 - hidden

- Project changed from Public Support to 5

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Common

- Resolution set to Solved Issue

Hallo Roland,

das ist ein Qt Issue, deshalb liefern wir für die betroffenen Tools eine batch/shell Skript, dass dies erledigt.

Im Startmenu unter Windows sind deshalb auch die entsprechenden Batch gleich hinterlegt.

Siehe auch Doku Seite Tools and Applications

Derzeit unsere einzige Möglichkeit, ich finde das sehr unschön aber naja...

Thema damit für dich erledigt, public machen ?

#2 - 2017-03-10 13:06 - hidden

Problem ist klar, Ansatz verstanden, sachlich richtig aber in der Praxis nur bedingt hilfreich.

Ich möchte da etwas weiter ausholen:

Das normale Verhalten beim Ausprobieren einer neuen Software ist: Installieren, starten, schauen und nutzen. Kein Mensch liest vorher irgenwelche

Dokus. Insbesondere keine SDK-Dokumentation in der auf einer Unterseite "Tools and Applications" wichtige Hinweise stehen. Ja, total verwerflich

aber ist nun mal so.

Wenn die Kollegen neugierig auf ADTF 3 sind, werden sie genau so vorgehen. Da die meisten von ADTF 2 kommen, gibt es eine gewisse

Wahrschienlichkeit, dass sie wie ich nicht über das Windows Startmenu gehen, sondern im bin-Verzeichnis nach dem Kleeblatt-Icon ausschau halten,

die exe starten und die bat-Skripte übersehen.

Wenn man bei den ersten ADTF Gehversuchen von einem Problem zum nächsten stolpert - egal ob selber schuld und "hätte man nachlesen können"

- zerzeugt das ein negatives Bild von ADTF 3 ("Tut nicht, wieder typisch ADTF. CANape und ROS sind viel einfacher und besser"). Unterschätzt
diesen ersten Eindruck bitte nicht!

Darum: Macht es den Leuten möglichst einfach ADTF 3 zu starten und einen positiven ersten Eindruck zu bekommen.

Ich vermisse da den User Guide oder am besten einen Quick Start Quide mit ersten Schritten, um ADTF zum Laufen zu bringen. Wenn Ihr es

unbeding in das SDK packen wollt, dann prominent an oberster Stelle. Nennt das dann auch nicht mehr SDK (Leute, die Programme nur nutzen

wollen, schauen nicht in SDKs).

Alles, was Ihr in diese Richtung unternehmt, zahlt sich mehr als aus.

Wir hatten auf dem letzten Kundenforum ein ähnliche Diskussion über die umständlichen Aufrufe der ADTF3-Beta und wie man das vereinfachen

kann - gleiches Thema.

Noch ein Verbesserungsvorschlag zum Ticket-System: Der Reporter sollte zumindest beim Einstellen besser aber auch später selber einstellen

können, ob ein Ticket private oder public ist. Default sollte private sein. Das spart die späteren Nachfragen.

Ticket kann public gemacht werden.

#3 - 2017-03-10 13:42 - hidden

- Project changed from 5 to Public Support

- Private changed from Yes to No

Hallo Roland,

vorweg:

Noch ein Verbesserungsvorschlag zum Ticket-System: Der Reporter sollte zumindest beim Einstellen besser aber auch später selber einstellen

können, ob ein Ticket private oder public ist. Default sollte private sein. Das spart die späteren Nachfragen.

 Das ist leider nicht so einfach möglich, denn es muss nicht nur der Private Haken raus sondern auch das Ticket in ein anderes Projekt verschoben

werden.

Diese Rechte werden wir aus vertretbaren Gründen nicht zur Verfügung stellen.

Wichtig ist erst einmal, dass sensible Daten geschützt sind, den Rest können wir klären, wir müssen ohnehin noch einmal Feedback zum Abschluss

einfordern bzw. Nice to have.

Beim Rest bin ich voll deiner Meinung, ich würde das genauso erwarten und bei mir erzeugt es den gleichen Groll, ich bin wie bereits beschrieben

absolut nicht damit zufrieden, aber Qt musste "unbedingt" (?) aus dem binary Ordner raus... das ist nun die Konsequenz.

Bleibt nur zu hoffen, dass Qt hier vielleicht doch mal entgegen kommt, dass in den Settings zu konfigurieren...

Ansonsten muss man aber auch mal klar festhalten, dass sich die Lieferung von ADTF grundlegend verändert hat (natürlich auf Wunsch).

ADTF ist nicht nur noch ein Tool oder Framework, sondern zusätzlich ein Toolset geworden.

Wie bei jeder anderen Software ("früher war alles besser") müssen alle Kunden und Anwender darauf auch eingehen.

Es gibt nicht mehr das Einstiegstool in ADTF oder eine Komponente die alles beinhaltet.

In einem Toolset macht natürlich ein Usermanual keinen Sinn, meine Vorstellung wäre eine jeweilige Hilfe aus dem jeweiligen Tool heraus bzw.

Sprung an die richtige Dokustelle, das wird noch kommen. Bis dahin gibt es "nur" die (SDK) Doku (hier könnte man überlegen, ob man es nicht nur

Documenation nennt (wie im Startmenu), um Fehlinterpretation zu vermeiden.

Hier gibt es auf jeden Fall als allerersten Link einen Getting Started (also der von dir angesprochene First Step Guide), der all deine ersten Fragen

beantworten sollte. Die von mir genannte Seite ist dann noch einmal die Übersicht. Wenn sich hier der Anwender nicht einarbeite oder sich die

Architektur verinnerlicht, dann wird er in ADTF 3 nicht weit kommen, egal ob Neueinsteiger oder Alter Hase aus 2.x.

Wenn wir hier noch mehr machen können oder du weitere Ideen hast, jederzeit gerne.

Ich kann absolut nachvollziehen, wie es bei den Anwendern ankommt, wenn ich deine Worte von heute höre, es bestätigt mich in meinen Bedenken

und Gefühlen vor dem Release bzw. während der Entwicklung.

Aber ich wollte nur nochmal festhalten, dass ein einfaches Starten wie vielleicht zu ADTF 2.x zum einen so nicht mehr gewollt war, zum anderen so

nicht mehr möglich ist, ohne sich vielleicht tiefer mit der Architektur zu beschäftigen.

Es wird versucht den Anwender/Entwickler mehr und mehr abzunehmen, gleichzeitig muss aber an der ein oder anderen Stelle noch mehr

geschraubt werden.

Schwer ist das sicherlich für die die nur Abspielen wollen, da muss der Config Designer und Entwickler aber imho Vorarbeit vermehrt leisten.

Und wenn ich an die Anforderungen an ADTF 4.x denke, geht das ja noch mehr in diese Richtung.

So, meine Gedanken dazu...

Unabhängig davon sammle ich deine Punkte und nehme diese geeignet mit.

PS: Sobald hier mal eine größere Community wächst, würde ich solche Essentials auch gern als News verteilen, das hab ich zumindest auf dem

Zettel. Das die Leute diese dann auch abbonieren und lesen müssen, ist wieder ein anderes Blatt wie bei der Doku ja auch, klar.

#4 - 2017-03-13 10:14 - hidden
- Resolution changed from Solved Issue to Product Issue Opened

- Product Issue Numbers set to http://km-aev.in.audi.vwg/redmine/issues/38922

Nachtrag:

Ich habe die Punkte gesammelt und dazu ein Produkt Ticket angelegt, in dem validiert werden soll, was wir besser machen können.

#5 - 2017-03-16 17:44 - hidden

Hallo Roland,

wenn du keine weiteren Anmerkungen hast, würde ich das Support Ticket abschließen.

#6 - 2017-03-20 09:04 - hidden

- Subject changed from Qt DLLs werden nicht gefunden to Could not find Qt DLLs

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#7 - 2017-03-20 09:05 - hidden

- Status changed from To Be Closed to Closed
